﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=10
@EndOfDesignText@
Sub Class_Globals
	Private Root As B4XView 'ignore
	Private xui As XUI 'ignore
	Private lblTitle As B4XView
	Private lblCategory As B4XView
	Dim mapListItems As Map
	Private clvQuestionList As CustomListView
End Sub

'You can add more parameters here.
Public Sub Initialize As Object
	mapListItems.Initialize
	Return Me
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
End Sub

Private Sub B4XPage_Appear
	CreateLayout
	LoadListtoCLV
End Sub

Private Sub CreateLayout
	Root.RemoveAllViews
	Root.LoadLayout("loPage2")
End Sub

Sub LoadListtoCLV
	For i = 0 To mapListItems.Size - 1
		Dim ItemInList As CLVQItem
		ItemInList = mapListItems.GetValueAt(i)
		ItemInList.IsSelected = False
		clvQuestionList.Add(CreateQuestionListItem(ItemInList), ItemInList)
	Next
	
End Sub

Sub CreateQuestionListItem(Item As CLVQItem) As B4XView
	Dim p As B4XView = xui.CreatePanel("")
	p.SetLayoutAnimated(0, 5dip, 5dip, 60dip, 60dip)
	p.LoadLayout("loListQuestions")
	lblTitle.Text = Item.Title
	lblCategory.Text = Item.Category
	Return p
End Sub
